/*
Copyright (c) 2010, Геннадий Берман (http://genberm.narod.ru)
All rights reserved.

Данное программное обеспечение предоставляется на условиях "AS IS".
Разрешается свободное использование, распространение и модификация программы,
с целью ее дальнейшего использования, при условии соблюдения вышеупомянутого
авторского права.

Никакие гарантии не обеспечиваются. Никакой ответственности за прямые,
косвенные или любые другие убытки, возникшие из-за использования данного
программного обеспечения, автор не несет.
*/
#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "qgebcomplextreeview.h"
#include <QStandardItemModel>


class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    void BuildHeaderModel(QStandardItemModel& headerModel);
    void BuildBodyModel();
    void setNextLevel(QStandardItem * parent, QString pLevel);

    QgebComplexTreeView *complexTreeView;
    QStandardItemModel * stm;
    int depth;
    int currentDepth;
    int cols;
};
#endif // MAINWINDOW_H
